*, *:before, *:after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }
  input {
    cursor: pointer;
    display: inline-block;
    outline: 0;
  }
  form {
    cursor: pointer;
    text-align: center;
  }
  .ch, .ch:before, .ch:after {
    transition: all 0.3s ease-in-out;
  }
  .ch {
    background-color: #1b7b91;
    border-radius: 0.2em;
    box-shadow: 0 0.05em 0 0.05em rgba(0, 0, 0, 0.3) inset;
    font-size: 3em;
    overflow: hidden;
    position: relative;
    width: 3em;
    height: 1.2em;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    z-index: 0;
  }
  .ch:before {
    content: " ";
    display: block;
    position: absolute;
  }
  .ch:after {
    content: " ";
    display: block;
    position: absolute;
  }
  .ch:before {
    background-color: currentColor;
    border-radius: 0.125em;
    box-shadow: 0 0 0 0.05em inset, -0.12em -0.12em 0 #6d94b8 inset, -0.4em -0.3em 0 0.05em inset, 0.12em 0.12em 0 white inset;
    color: #95bce0;
    opacity: 0.9;
    bottom: 0;
    left: 0.125em;
    width: 1em;
    height: 1em;
    z-index: 2;
  }
  .ch:after {
    background-image: radial-gradient(0.2em 0.5em at 38% 95%, white 49%, rgba(255, 255, 255, 0) 50%), radial-gradient(0.3em 0.8em at 52% 95%, white 49%, rgba(255, 255, 255, 0) 50%), radial-gradient(0.25em 0.4em at 67% 95%, white 49%, rgba(255, 255, 255, 0) 50%), radial-gradient(0.25em 0.7em at 36% 95%, #ffe000 49%, rgba(255, 224, 0, 0) 50%), radial-gradient(0.4em 1.2em at 52% 95%, #ffe000 49%, rgba(255, 224, 0, 0) 50%), radial-gradient(0.25em 0.6em at 70% 93%, #ffe000 49%, rgba(255, 224, 0, 0) 50%), radial-gradient(0.3em 0.8em at 32% 81%, #ff9000 49%, rgba(255, 144, 0, 0) 50%), radial-gradient(0.5em 1.6em at 52% 95%, #ff9000 49%, rgba(255, 144, 0, 0) 50%), radial-gradient(0.3em 0.9em at 74% 86%, #ff9000 49%, rgba(255, 144, 0, 0) 50%), radial-gradient(0.4em 1em at 25% 70%, #ff4c00 49%, rgba(255, 76, 0, 0) 50%), radial-gradient(0.7em 2.75em at 52% 100%, #ff4c00 49%, rgba(255, 76, 0, 0) 50%), radial-gradient(0.4em 1.2em at 79% 75%, #ff4c00 49%, rgba(255, 76, 0, 0) 50%);
    /* white */
    background-position: 100% 1.5em;
    background-size: 1.5em 1.5em;
    background-repeat: no-repeat;
    border-radius: 0 0 0 0.1em / 0 0 0 0;
    box-shadow: 0 0 0 0 #a9d0f4 inset;
    bottom: 2px;
    left: 0;
    width: 1.25em;
    height: 1.25em;
    z-index: 1;
  }
  /* Checked */
  .ch:checked {
    background-color: #5c0808;
  }
  .ch:checked:before {
    border-radius: 50%;
    transform: translate(1.5em, 1.5em) rotate(45deg) scale(0.5);
  }
  .ch:checked:after {
    background-position: 100% 0;
    width: 3em;
  }


  @media (max-width: 620px) {
    .ch {
      font-size: 2em;
    }
  }
